Maton

Vimeo

Access the Vimeo API with managed OAuth authentication. Upload and manage videos, create showcases and folders, manage likes and watch later, and interact with the Vimeo community.

Reference

Get Current User

GET /vimeo/me

Response:

{
  "uri": "/users/254399456",
  "name": "Chris",
  "link": "https://vimeo.com/user254399456",
  "account": "free",
  "created_time": "2026-02-09T07:00:20+00:00",
  "pictures": {...},
  "metadata": {
    "connections": {
      "videos": {"uri": "/users/254399456/videos", "total": 2},
      "albums": {"uri": "/users/254399456/albums", "total": 0},
      "folders": {"uri": "/users/254399456/folders", "total": 0},
      "likes": {"uri": "/users/254399456/likes", "total": 0},
      "followers": {"uri": "/users/254399456/followers", "total": 0},
      "following": {"uri": "/users/254399456/following", "total": 0}
    }
  }
}

Get User by ID

GET /vimeo/users/{user_id}

Get User Feed

GET /vimeo/me/feed

List User Videos

GET /vimeo/me/videos

Response:

{
  "total": 2,
  "page": 1,
  "per_page": 25,
  "paging": {
    "next": null,
    "previous": null,
    "first": "/me/videos?page=1",
    "last": "/me/videos?page=1"
  },
  "data": [
    {
      "uri": "/videos/1163160198",
      "name": "My Video",
      "description": "Video description",
      "link": "https://vimeo.com/1163160198",
      "duration": 20,
      "width": 1920,
      "height": 1080,
      "created_time": "2026-02-09T07:05:00+00:00"
    }
  ]
}

Get Video

GET /vimeo/videos/{video_id}

Search Videos

GET /vimeo/videos?query=nature&per_page=10

Query parameters:

  • query - Search query
  • per_page - Results per page (max 100)
  • page - Page number
  • sort - Sort order: relevant, date, alphabetical, plays, likes, comments, duration
  • direction - Sort direction: asc, desc

Update Video

PATCH /vimeo/videos/{video_id}
Content-Type: application/json

{
  "name": "New Video Title",
  "description": "Updated description"
}

Delete Video

DELETE /vimeo/videos/{video_id}

Returns 204 No Content on success.

List Folders

GET /vimeo/me/folders

Response:

{
  "total": 1,
  "page": 1,
  "per_page": 25,
  "data": [
    {
      "uri": "/users/254399456/projects/28177219",
      "name": "My Folder",
      "created_time": "2026-02-09T08:59:20+00:00",
      "privacy": {"view": "nobody"},
      "manage_link": "https://vimeo.com/user/254399456/folder/28177219"
    }
  ]
}

Create Folder

POST /vimeo/me/folders
Content-Type: application/json

{
  "name": "New Folder"
}

Update Folder

PATCH /vimeo/me/projects/{project_id}
Content-Type: application/json

{
  "name": "Renamed Folder"
}

Delete Folder

DELETE /vimeo/me/projects/{project_id}

Returns 204 No Content on success.

Get Folder Videos

GET /vimeo/me/projects/{project_id}/videos

Add Video to Folder

PUT /vimeo/me/projects/{project_id}/videos/{video_id}

Returns 204 No Content on success.

Remove Video from Folder

DELETE /vimeo/me/projects/{project_id}/videos/{video_id}

List Albums

GET /vimeo/me/albums

Create Album

POST /vimeo/me/albums
Content-Type: application/json

{
  "name": "My Showcase",
  "description": "A collection of videos"
}

Response:

{
  "uri": "/users/254399456/albums/12099981",
  "name": "My Showcase",
  "description": "A collection of videos",
  "created_time": "2026-02-09T09:00:00+00:00"
}

Update Album

PATCH /vimeo/me/albums/{album_id}
Content-Type: application/json

{
  "name": "Updated Showcase Name"
}

Delete Album

DELETE /vimeo/me/albums/{album_id}

Returns 204 No Content on success.

Get Album Videos

GET /vimeo/me/albums/{album_id}/videos

Add Video to Album

PUT /vimeo/me/albums/{album_id}/videos/{video_id}

Returns 204 No Content on success.

Remove Video from Album

DELETE /vimeo/me/albums/{album_id}/videos/{video_id}

Get Video Comments

GET /vimeo/videos/{video_id}/comments

Add Comment

POST /vimeo/videos/{video_id}/comments
Content-Type: application/json

{
  "text": "Great video!"
}

Response:

{
  "uri": "/videos/1163160198/comments/21372988",
  "text": "Great video!",
  "created_on": "2026-02-09T09:05:00+00:00"
}

Delete Comment

DELETE /vimeo/videos/{video_id}/comments/{comment_id}

Returns 204 No Content on success.

Get Liked Videos

GET /vimeo/me/likes

Like a Video

PUT /vimeo/me/likes/{video_id}

Returns 204 No Content on success.

Unlike a Video

DELETE /vimeo/me/likes/{video_id}

Returns 204 No Content on success.

Get Watch Later List

GET /vimeo/me/watchlater

Add to Watch Later

PUT /vimeo/me/watchlater/{video_id}

Returns 204 No Content on success.

Remove from Watch Later

DELETE /vimeo/me/watchlater/{video_id}

Returns 204 No Content on success.

Get Followers

GET /vimeo/me/followers

Get Following

GET /vimeo/me/following

Follow a User

PUT /vimeo/me/following/{user_id}

Unfollow a User

DELETE /vimeo/me/following/{user_id}

List All Channels

GET /vimeo/channels

Get Channel

GET /vimeo/channels/{channel_id}

List All Categories

GET /vimeo/categories

Response:

{
  "total": 10,
  "data": [
    {"uri": "/categories/animation", "name": "Animation"},
    {"uri": "/categories/comedy", "name": "Comedy"},
    {"uri": "/categories/documentary", "name": "Documentary"}
  ]
}

Get Category Videos

GET /vimeo/categories/{category}/videos

Resources

On this page